Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

Yeah, it requires DirectX9 to run.